export const colorCode = (name: string): number => {
    const num = COLORS.indexOf(name.toLowerCase())
    if (num == -1) {
        throw new Error(`Invalid color name "${name}"`);
    }
    return num;
}

export const COLORS: string[] = [
    'black',
    'brown',
    'red',
    'orange',
    'yellow',
    'green',
    'blue',
    'violet',
    'grey',
    'white',
];
